Subject: Re: [EXTERNAL] [BULK] [J3] [SC22WG5.6732] Upcoming new ISO directives

From: "Clune, Thomas L. (GSFC-6101)" <[email-masked]>
Date: Thu, 7 May 2026 17:00:40 +0000

Hi Steve,

I like this (aside from the extra work for Malcolm). It is much more in line with how we manage software releases.

Question: does the standard itself then get a “patch” number.  E.g., F2023.1?    Otherwise “F2023" is ambiguous / time-dependent.   (I know there will be an internal document number that disambiguates, but would be nice to have something for public references.)

Cheers,

  *
Tom

<https://www.nasa.gov/>

Thomas Clune
Lead, Software Infrastructure
Global Modeling and Assimilation Office
NASA Goddard Space Flight Center
MS 610.1
8800 Greenbelt RD, Greenbelt, MD 20771
[email-masked]<mailto:[email-masked]>

From: J3 <[email-masked]> on behalf of Steve Lionel via J3 <[email-masked]>
Date: Thursday, May 7, 2026 at 12:55 PM
To: WG5 List <[email-masked]>
Cc: Steve Lionel <[email-masked]>
Subject: [EXTERNAL] [BULK] [J3] [SC22WG5.6732] Upcoming new ISO directives

CAUTION: This email originated from outside of NASA.  Please take care when clicking links or opening attachments.  Use the "Report Message" button to report suspicious messages to the NASA SOC.

ISO will be releasing an updated "Directives" document in October - this
governs pretty much everything an ISO committee does. They released a
summary of important changes, which I have reviewed. The only change I
spotted that will require eventual action from us is this:

Change 12: Corrections will now be published as both a corrigendum and a
corrected version
What’s changing
The correction process is clarified and harmonized.
• Corrections will result in two outputs:
o a corrigendum (listing the corrections)
o a corrected version (integrating the corrections into the document)
• Corrections are limited to fixing errors or ambiguities, not updating
content

Why this matters to you
• Clearer and more transparent correction process
• Easier for users to understand and apply corrections
• Improved consistency between ISO and IEC publications
What you will need to do
• Continue submitting correction requests as before
• Ensure that corrections are limited to genuine errors or ambiguities
inadvertently introduced that
could lead to incorrect or unsafe application
Key timing
• October 2026: new rules apply

TBH, I like this change, even though it makes more work for us (us
meaning Malcolm primarily!)  Edit papers will need to reference the
latest corrigendum version, not the  originally published version. It
may make for some confusion when we have both a corrected version and a
working revision document at the same time, but we'll figure out a way
to deal with that. Please think about this and we can discuss ideas when
we meet in June.

Steve